Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre

Notices

Reply
 
Thread Tools Search this Thread
Old 06-18-2018, 08:02 AM   #1
Retepvandijk
Junior Member
Retepvandijk began at the beginning.
 
Posts: 3
Karma: 10
Join Date: Aug 2012
Location: Leiden, The Netherlands
Device: Kobo Touch
Install/upgrade calibre error (Ubuntu 12.0.5)

Hello,
I tried to upgrade my Calibre (0.8.38) because I want to install the Kobo plugins.
But I don't understand the error messages I get in the terminal window. I use the commandline from the downloadsite.
Is there an easy solution for this ?

thank you,
Peter

peter@Laptop:~$ sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin
[sudo] password for peter:
Using python executable: /usr/bin/python3
2018-06-18 12:41:10 URL:https://download.calibre-ebook.com/linux-installer.sh [30829/30829] -> "-" [1]
Installing to /opt/calibre
Downloading tarball signature securely...
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "<string>", line 775, in script_launch
File "<string>", line 732, in main
File "<string>", line 678, in run_installer
File "<string>", line 648, in download_and_extract
File "<string>", line 640, in get_tarball_info
File "<string>", line 597, in get_https_resource_securely
File "<string>", line 505, in __init__
File "/usr/lib/python3.2/http/client.py", line 1133, in __init__
context.load_cert_chain(cert_file, key_file)
ssl.SSLError: [Errno 336265225] _ssl.c:1701: error:140B0009:SSL routines:SSL_CTX_use_PrivateKey_file:PEM lib
Retepvandijk is offline   Reply With Quote
Old 06-18-2018, 02:14 PM   #2
gbm
Wizard
gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.
 
Posts: 1,448
Karma: 5435106
Join Date: Jun 2010
Device: Windows 10 tablet,Hisence Sero 7 Pro RIP, Nook STR, jetbook lite
Quote:
Originally Posted by Retepvandijk View Post
Hello,
I tried to upgrade my Calibre (0.8.38) because I want to install the Kobo plugins.
But I don't understand the error messages I get in the terminal window. I use the commandline from the downloadsite.
Is there an easy solution for this ?

thank you,
Peter

peter@Laptop:~$ sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin
[sudo] password for peter:
Using python executable: /usr/bin/python3
2018-06-18 12:41:10 URL:https://download.calibre-ebook.com/linux-installer.sh [30829/30829] -> "-" [1]
Installing to /opt/calibre
Downloading tarball signature securely...
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "<string>", line 775, in script_launch
File "<string>", line 732, in main
File "<string>", line 678, in run_installer
File "<string>", line 648, in download_and_extract
File "<string>", line 640, in get_tarball_info
File "<string>", line 597, in get_https_resource_securely
File "<string>", line 505, in __init__
File "/usr/lib/python3.2/http/client.py", line 1133, in __init__
context.load_cert_chain(cert_file, key_file)
ssl.SSLError: [Errno 336265225] _ssl.c:1701: error:140B0009:SSL routines:SSL_CTX_use_PrivateKey_file:PEM lib
From the calibre Linux download site


Quote:
If you get an error about an untrusted certificate, that means your computer does not have any root certificates installed and so cannot download the installer securely. If you still want to proceed, pass the --no-check-certificate option to wget, like this:
Code:
sudo -v && wget --no-check-certificate -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin
You are using an OS that is past "end of life" and is receiving no more security updates. I recommend you update to a newer OS. The latest calibre requires GLIBC 2.17 or higher and libstdc++.so.6.0.17 (from gcc 4.7.0) or higher to run. To check your GLIBC version type the following code into a terminal.

Code:
ldd --version
bernie
gbm is offline   Reply With Quote
Advert
Old 06-18-2018, 07:12 PM   #3
Retepvandijk
Junior Member
Retepvandijk began at the beginning.
 
Posts: 3
Karma: 10
Join Date: Aug 2012
Location: Leiden, The Netherlands
Device: Kobo Touch
I have EGLIBC 2.15
I will try to install a newer OS.
Thank you for your answer,
Retepvandijk is offline   Reply With Quote
Old 06-18-2018, 07:44 PM   #4
gbm
Wizard
gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.
 
Posts: 1,448
Karma: 5435106
Join Date: Jun 2010
Device: Windows 10 tablet,Hisence Sero 7 Pro RIP, Nook STR, jetbook lite
Quote:
Originally Posted by Retepvandijk View Post
I have EGLIBC 2.15
I will try to install a newer OS.
Thank you for your answer,
You can go here and get calibre 2.59.0**, it will work with the kobo plugin and with your system.

Just use the Manual binary install or reverting to a previous version at Linux download site.

bernie

**last version of calibre that is listed to work with GLIBC 2.15.
gbm is offline   Reply With Quote
Old 06-19-2018, 02:00 PM   #5
Retepvandijk
Junior Member
Retepvandijk began at the beginning.
 
Posts: 3
Karma: 10
Join Date: Aug 2012
Location: Leiden, The Netherlands
Device: Kobo Touch
It worked, thank you.
Retepvandijk is offline   Reply With Quote
Advert
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Ubuntu calibre upgrade dman003 Library Management 1 06-15-2015 01:32 AM
Sigil install error in Ubuntu 12.04 michaelbr Sigil 4 07-18-2013 11:08 AM
upgrade error and now the install is completely broken tok Calibre 7 10-09-2010 04:33 PM
Cannot install calibre on ubuntu 8.04 kkkidder Calibre 1 03-19-2009 11:44 PM
ubuntu install fail error shown wired fone4u Calibre 3 02-04-2009 03:23 PM


All times are GMT -4. The time now is 12:40 AM.


MobileRead.com is a privately owned, operated and funded community.